import { Transactionable } from 'sequelize';
import Trigger from '..';
import type Plugin from '../../Plugin';
import { WorkflowModel } from '../../types';
export default class ScheduleTrigger extends Trigger {
    sync: boolean;
    private modes;
    constructor(workflow: Plugin);
    private getTrigger;
    on(workflow: any): void;
    off(workflow: any): void;
    validateEvent(workflow: WorkflowModel, context: any, options: Transactionable): Promise<boolean>;
}
